<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.lideeyunji</groupId>
  <artifactId>lidee-dependencies</artifactId>
  <version>2.2.4</version>
  <packaging>pom</packaging>
  <name>${project.artifactId}</name>
  <description>基础 bom 文件，管理整个项目的依赖版本</description>
  <properties>
    <servlet.version>4.0.4</servlet.version>
    <tika-core.version>2.9.1</tika-core.version>
    <podam.version>7.2.11.RELEASE</podam.version>
    <captcha-plus.version>1.0.10</captcha-plus.version>
    <lidee.version>2.2.4</lidee.version>
    <flatten-maven-plugin.version>1.5.0</flatten-maven-plugin.version>
    <poi-ooxml.verion>4.1.2</poi-ooxml.verion>
    <express.version>3.3.3</express.version>
    <bizlog-sdk.version>3.0.6</bizlog-sdk.version>
    <starter.validation.version>2.3.12.RELEASE</starter.validation.version>
    <mapstruct.version>1.5.5.Final</mapstruct.version>
    <fastjson.version>1.2.83</fastjson.version>
    <junit.version>4.13.2</junit.version>
    <groovy.version>3.0.21</groovy.version>
    <tencentcloud-sdk-java.version>3.1.880</tencentcloud-sdk-java.version>
    <mybatis-plus-generator.version>3.5.5</mybatis-plus-generator.version>
    <mybatis.version>3.5.15</mybatis.version>
    <opentracing.version>0.33.0</opentracing.version>
    <jsqlparser.version>4.3</jsqlparser.version>
    <dom4j.version>1.6.1</dom4j.version>
    <screw.version>1.0.5</screw.version>
    <mybatis-plus-join.version>1.4.10</mybatis-plus-join.version>
    <kingbase.jdbc.version>8.6.0</kingbase.jdbc.version>
    <aspectjweaver.version>1.9.7</aspectjweaver.version>
    <aliyun-java-sdk-dysmsapi.version>2.2.1</aliyun-java-sdk-dysmsapi.version>
    <revision>2.0.1-jdk8-snapshot</revision>
    <jsch.version>0.1.55</jsch.version>
    <xercesImpl.version>2.12.2</xercesImpl.version>
    <ip2region.version>2.7.0</ip2region.version>
    <okio.version>3.5.0</okio.version>
    <dynamic-datasource.version>4.3.0</dynamic-datasource.version>
    <redisson.version>3.18.0</redisson.version>
    <transmittable-thread-local.version>2.14.5</transmittable-thread-local.version>
    <spring-boot-admin.version>2.7.15</spring-boot-admin.version>
    <guice.version>5.1.0</guice.version>
    <minio.version>8.5.7</minio.version>
    <aliyun-java-sdk-core.version>4.6.4</aliyun-java-sdk-core.version>
    <jedis-mock.version>1.0.13</jedis-mock.version>
    <spring.boot.version>2.7.18</spring.boot.version>
    <hutool.version>5.8.25</hutool.version>
    <guava.version>33.0.0-jre</guava.version>
    <servlet.versoin>2.5</servlet.versoin>
    <springdoc.version>1.6.15</springdoc.version>
    <resilience4j.version>1.7.1</resilience4j.version>
    <lock4j.version>2.2.7</lock4j.version>
    <commons-io.version>2.15.1</commons-io.version>
    <poi-scratchpad.verion>4.1.2</poi-scratchpad.verion>
    <okhttp3.version>4.9.3</okhttp3.version>
    <commons-net.version>3.10.0</commons-net.version>
    <jsoup.version>1.17.2</jsoup.version>
    <mybatis-plus.version>3.5.5</mybatis-plus.version>
    <knife4j.version>4.3.0</knife4j.version>
    <lombok.version>1.18.30</lombok.version>
    <easyexcel.verion>3.3.3</easyexcel.verion>
    <flowable.version>6.8.0</flowable.version>
    <druid.version>1.2.21</druid.version>
    <skywalking.version>8.12.0</skywalking.version>
    <mockito-inline.version>4.11.0</mockito-inline.version>
    <justauth.version>1.0.8</justauth.version>
    <dm8.jdbc.version>8.1.3.62</dm8.jdbc.version>
    <velocity.version>2.3</velocity.version>
  </properties>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-dependencies</artifactId>
        <version>${spring.boot.version}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-operatelog</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>io.github.mouzt</groupId>
        <artifactId>bizlog-sdk</artifactId>
        <version>${bizlog-sdk.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-dict</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-tenant</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-permission</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-ip</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-captcha</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-configuration-processor</artifactId>
        <version>${spring.boot.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-web</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-security</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-websocket</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.github.xiaoymin</groupId>
        <artifactId>knife4j-openapi3-spring-boot-starter</artifactId>
        <version>${knife4j.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springdoc</groupId>
        <artifactId>springdoc-openapi-ui</artifactId>
        <version>${springdoc.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-mybatis</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>druid-spring-boot-starter</artifactId>
        <version>${druid.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mybatis</groupId>
        <artifactId>mybatis</artifactId>
        <version>${mybatis.version}</version>
      </dependency>
      <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>mybatis-plus-boot-starter</artifactId>
        <version>${mybatis-plus.version}</version>
      </dependency>
      <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>mybatis-plus-generator</artifactId>
        <version>${mybatis-plus-generator.version}</version>
      </dependency>
      <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
        <version>${dynamic-datasource.version}</version>
      </dependency>
      <dependency>
        <groupId>com.github.yulichang</groupId>
        <artifactId>mybatis-plus-join-boot-starter</artifactId>
        <version>${mybatis-plus-join.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-redis</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>org.redisson</groupId>
        <artifactId>redisson-spring-boot-starter</artifactId>
        <version>${redisson.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.dameng</groupId>
        <artifactId>DmJdbcDriver18</artifactId>
        <version>${dm8.jdbc.version}</version>
      </dependency>
      <dependency>
        <groupId>cn.com.kingbase</groupId>
        <artifactId>kingbase8</artifactId>
        <version>${kingbase.jdbc.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-job</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-protection</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>lock4j-redisson-spring-boot-starter</artifactId>
        <version>${lock4j.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.redisson</groupId>
            <artifactId>redisson-spring-boot-starter</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>io.github.resilience4j</groupId>
        <artifactId>resilience4j-ratelimiter</artifactId>
        <version>${resilience4j.version}</version>
      </dependency>
      <dependency>
        <groupId>io.github.resilience4j</groupId>
        <artifactId>resilience4j-spring-boot2</artifactId>
        <version>${resilience4j.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-monitor</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.skywalking</groupId>
        <artifactId>apm-toolkit-trace</artifactId>
        <version>${skywalking.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.skywalking</groupId>
        <artifactId>apm-toolkit-logback-1.x</artifactId>
        <version>${skywalking.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.skywalking</groupId>
        <artifactId>apm-toolkit-opentracing</artifactId>
        <version>${skywalking.version}</version>
      </dependency>
      <dependency>
        <groupId>io.opentracing</groupId>
        <artifactId>opentracing-api</artifactId>
        <version>${opentracing.version}</version>
      </dependency>
      <dependency>
        <groupId>io.opentracing</groupId>
        <artifactId>opentracing-util</artifactId>
        <version>${opentracing.version}</version>
      </dependency>
      <dependency>
        <groupId>io.opentracing</groupId>
        <artifactId>opentracing-noop</artifactId>
        <version>${opentracing.version}</version>
      </dependency>
      <dependency>
        <groupId>de.codecentric</groupId>
        <artifactId>spring-boot-admin-starter-server</artifactId>
        <version>${spring-boot-admin.version}</version>
        <exclusions>
          <exclusion>
            <groupId>de.codecentric</groupId>
            <artifactId>spring-boot-admin-server-cloud</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>de.codecentric</groupId>
        <artifactId>spring-boot-admin-starter-client</artifactId>
        <version>${spring-boot-admin.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-test</artifactId>
        <version>${lidee.version}</version>
        <scope>test</scope>
      </dependency>
      <dependency>
        <groupId>org.mockito</groupId>
        <artifactId>mockito-inline</artifactId>
        <version>${mockito-inline.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-test</artifactId>
        <version>${spring.boot.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.ow2.asm</groupId>
            <artifactId>asm</artifactId>
          </exclusion>
          <exclusion>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.github.fppt</groupId>
        <artifactId>jedis-mock</artifactId>
        <version>${jedis-mock.version}</version>
      </dependency>
      <dependency>
        <groupId>uk.co.jemos.podam</groupId>
        <artifactId>podam</artifactId>
        <version>${podam.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-flowable</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>org.flowable</groupId>
        <artifactId>flowable-spring-boot-starter-process</artifactId>
        <version>${flowable.version}</version>
      </dependency>
      <dependency>
        <groupId>org.flowable</groupId>
        <artifactId>flowable-spring-boot-starter-actuator</artifactId>
        <version>${flowable.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-common</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-excel</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>org.projectlombok</groupId>
        <artifactId>lombok</artifactId>
        <version>${lombok.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mapstruct</groupId>
        <artifactId>mapstruct</artifactId>
        <version>${mapstruct.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mapstruct</groupId>
        <artifactId>mapstruct-jdk8</artifactId>
        <version>${mapstruct.version}</version>
      </dependency>
      <dependency>
        <groupId>org.mapstruct</groupId>
        <artifactId>mapstruct-processor</artifactId>
        <version>${mapstruct.version}</version>
      </dependency>
      <dependency>
        <groupId>cn.hutool</groupId>
        <artifactId>hutool-all</artifactId>
        <version>${hutool.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.poi</groupId>
        <artifactId>poi-ooxml</artifactId>
        <version>${poi-ooxml.verion}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.poi</groupId>
        <artifactId>poi-scratchpad</artifactId>
        <version>${poi-scratchpad.verion}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>easyexcel</artifactId>
        <version>${easyexcel.verion}</version>
      </dependency>
      <dependency>
        <groupId>commons-io</groupId>
        <artifactId>commons-io</artifactId>
        <version>${commons-io.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.tika</groupId>
        <artifactId>tika-core</artifactId>
        <version>${tika-core.version}</version>
      </dependency>
      <dependency>
        <groupId>org.apache.velocity</groupId>
        <artifactId>velocity-engine-core</artifactId>
        <version>${velocity.version}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>fastjson</artifactId>
        <version>${fastjson.version}</version>
      </dependency>
      <dependency>
        <groupId>cn.smallbun.screw</groupId>
        <artifactId>screw-core</artifactId>
        <version>${screw.version}</version>
        <exclusions>
          <exclusion>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
          </exclusion>
          <exclusion>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.google.guava</groupId>
        <artifactId>guava</artifactId>
        <version>${guava.version}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>transmittable-thread-local</artifactId>
        <version>${transmittable-thread-local.version}</version>
      </dependency>
      <dependency>
        <groupId>commons-net</groupId>
        <artifactId>commons-net</artifactId>
        <version>${commons-net.version}</version>
      </dependency>
      <dependency>
        <groupId>com.jcraft</groupId>
        <artifactId>jsch</artifactId>
        <version>${jsch.version}</version>
      </dependency>
      <dependency>
        <groupId>com.xingyuv</groupId>
        <artifactId>spring-boot-starter-captcha-plus</artifactId>
        <version>${captcha-plus.version}</version>
      </dependency>
      <dependency>
        <groupId>org.lionsoul</groupId>
        <artifactId>ip2region</artifactId>
        <version>${ip2region.version}</version>
      </dependency>
      <dependency>
        <groupId>org.jsoup</groupId>
        <artifactId>jsoup</artifactId>
        <version>${jsoup.version}</version>
      </dependency>
      <dependency>
        <groupId>com.squareup.okio</groupId>
        <artifactId>okio</artifactId>
        <version>${okio.version}</version>
      </dependency>
      <dependency>
        <groupId>com.squareup.okhttp3</groupId>
        <artifactId>okhttp</artifactId>
        <version>${okhttp3.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-file</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>io.minio</groupId>
        <artifactId>minio</artifactId>
        <version>${minio.version}</version>
      </dependency>
      <dependency>
        <groupId>com.aliyun</groupId>
        <artifactId>aliyun-java-sdk-core</artifactId>
        <version>${aliyun-java-sdk-core.version}</version>
        <exclusions>
          <exclusion>
            <groupId>io.opentracing</groupId>
            <artifactId>opentracing-api</artifactId>
          </exclusion>
          <exclusion>
            <groupId>io.opentracing</groupId>
            <artifactId>opentracing-util</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>com.aliyun</groupId>
        <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
        <version>${aliyun-java-sdk-dysmsapi.version}</version>
      </dependency>
      <dependency>
        <groupId>com.tencentcloudapi</groupId>
        <artifactId>tencentcloud-sdk-java-sms</artifactId>
        <version>${tencentcloud-sdk-java.version}</version>
      </dependency>
      <dependency>
        <groupId>com.xingyuv</groupId>
        <artifactId>spring-boot-starter-justauth</artifactId>
        <version>${justauth.version}</version>
        <exclusions>
          <exclusion>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-core</artifactId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>jakarta.servlet</groupId>
        <artifactId>jakarta.servlet-api</artifactId>
        <version>${servlet.version}</version>
      </dependency>
      <dependency>
        <groupId>dom4j</groupId>
        <artifactId>dom4j</artifactId>
        <version>${dom4j.version}</version>
      </dependency>
      <dependency>
        <groupId>junit</groupId>
        <artifactId>junit</artifactId>
        <version>${junit.version}</version>
      </dependency>
      <dependency>
        <groupId>org.aspectj</groupId>
        <artifactId>aspectjweaver</artifactId>
        <version>${aspectjweaver.version}</version>
      </dependency>
      <dependency>
        <groupId>com.github.jsqlparser</groupId>
        <artifactId>jsqlparser</artifactId>
        <version>${jsqlparser.version}</version>
      </dependency>
      <dependency>
        <groupId>org.codehaus.groovy</groupId>
        <artifactId>groovy</artifactId>
        <version>${groovy.version}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>QLExpress</artifactId>
        <version>${express.version}</version>
      </dependency>
      <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-autoconfigure</artifactId>
        <version>${spring.boot.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-yunji</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-exception</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-sql</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>tool-spring-boot-starter-ai</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>lidee-module-api</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>lidee-module-biz</artifactId>
        <version>${lidee.version}</version>
      </dependency>
      <dependency>
        <groupId>com.lideeyunji</groupId>
        <artifactId>lidee-core</artifactId>
        <version>${lidee.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>flatten-maven-plugin</artifactId>
        <version>${flatten-maven-plugin.version}</version>
        <executions>
          <execution>
            <id>flatten</id>
            <phase>process-resources</phase>
            <goals>
              <goal>flatten</goal>
            </goals>
          </execution>
          <execution>
            <id>flatten.clean</id>
            <phase>clean</phase>
            <goals>
              <goal>clean</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <flattenMode>resolveCiFriendliesOnly</flattenMode>
          <updatePomFile>true</updatePomFile>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
